ServerEvents.recipes((event) => {
  const recipes = [
    {
      output: "minecraft:elytra",
      pattern: ["AAA","BAB","BAB"],
      key: {
        "A": "immersiveengineering:ersatz_leather",
        "B": "minecraft:phantom_membrane"
      },
      id: "minecraft:elytra_recipe",
    },
    {
      output: "mob_grinding_utils:mob_swab",
      pattern: ["  A"," B ","C  "],
      key: {
          "A": "silentgear:white_fluffy_block",
          "B": "mekanism:hdpe_rod",
          "C": "malum:spirit_fabric"
      },
      id: "mob_grinding_utils:recipe_mob_swab",
    }
  ];

  recipes.forEach((recipe) => {
    if (recipe.id) {
      event.shaped(recipe.output, recipe.pattern, recipe.key).id(recipe.id);
    } else {
      event.shaped(recipe.output, recipe.pattern, recipe.key);
    }
  });
});